The Pricing Rule Item Group object

Attributes

id string

Unique identifier for the object.

idx integer
parent_id string required
parent_type string required
item_group string
uom string
The Pricing Rule Item Group object
{
  "id": "pricing-rule-item-group_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_group": "item_group_example",
  "uom": "uom_example"
}
GET /api/accounts/pricing-rule-item-group?parent_id={id}

List pricing rule item groups by parent

Returns all pricing rule item groups belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of pricing rule item group objects belonging to the parent.

GET /api/accounts/pricing-rule-item-group?parent_id={id}
curl https://api.overplane.dev/api/accounts/pricing-rule-item-group?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "pricing-rule-item-group_abc123",
      "idx": 1,
      "parent_id": null,
      "parent_type": "parent_type_example",
      "item_group": "item_group_example",
      "uom": "uom_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/pricing-rule-item-group

Create a pricing rule item group

Creates a new pricing rule item group object.

Body parameters

idx integer
parent_id string required
parent_type string required
item_group string
uom string

Returns

Returns the newly created pricing rule item group object if the call succeeded.

POST /api/accounts/pricing-rule-item-group
curl https://api.overplane.dev/api/accounts/pricing-rule-item-group \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"parent_id":null,"parent_type":"parent_type_example"}'
Response
{
  "id": "pricing-rule-item-group_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_group": "item_group_example",
  "uom": "uom_example"
}
PATCH /api/accounts/pricing-rule-item-group/{id}

Update a pricing rule item group

Updates the specified pricing rule item group by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the pricing rule item group to update.

Body parameters

idx integer
parent_id string
parent_type string
item_group string
uom string

Returns

Returns the updated pricing rule item group object.

PATCH /api/accounts/pricing-rule-item-group/{id}
curl https://api.overplane.dev/api/accounts/pricing-rule-item-group/pricing-rule-item-group_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"parent_id":null}'
Response
{
  "id": "pricing-rule-item-group_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_group": "item_group_example",
  "uom": "uom_example"
}
DELETE /api/accounts/pricing-rule-item-group/{id}

Delete a pricing rule item group

Permanently deletes a pricing rule item group. This cannot be undone.

Path parameters

id string required

The identifier of the pricing rule item group to delete.

Returns

Returns a confirmation that the pricing rule item group has been deleted.

DELETE /api/accounts/pricing-rule-item-group/{id}
curl https://api.overplane.dev/api/accounts/pricing-rule-item-group/pricing-rule-item-group_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "pricing-rule-item-group_abc123",
  "deleted": true
}
POST /api/accounts/pricing-rule-item-group/reorder

Reorder pricing rule item groups

Updates the sort order of pricing rule item groups within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/accounts/pricing-rule-item-group/reorder
curl https://api.overplane.dev/api/accounts/pricing-rule-item-group/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "pricing-rule-item-group_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_group": "item_group_example",
  "uom": "uom_example"
}